<div class="sectionHeading clearfix">
    <h3>Store Information:</h3>
    <div class="colLeft span6">
        <div class="formEntry">
            <label for="storeName">Your Store (start typing the store name)*: </label>
            <input type="text" name="storeName" id="storeName" class="ui-autocomplete-input" autocomplete="off" required>
        </div>
        <div class="formEntry">
            <label for="storeYear">What Year Did The Store Open*: </label>
            <input type="text" name="storeYear" id="storeYear" required>
        </div>
        <div class="formEntry">
            <label for="storeAddress">Store Address*: </label>
            <input type="text" name="storeAddress" id="storeAddress" required>
        </div>
        <div class="formEntry">
            <label for="storeCity">Store City*: </label>
            <input type="text" name="storeCity" id="storeCity" required>
        </div>
        <div class="formEntry">
            <label for="storeZip">Store Zip Code*: </label>
            <input type="text" name="storeZip" id="storeZip" required>
        </div>
        <div class="formEntry">
            <label for="storePhoneNum">Store Phone Number*:</label>
            <input type="text" name="storePhoneNum" id="storePhoneNum" placeholder="123-456-7890" class="h5-phone"
                data-h5-errorid="storePhoneNumError" required>
            <div style="display: none;" class="ui-state-error message theError" id="storePhoneNumError">Required: Enter a valid
                phone number.</div>
        </div>
    </div>
    <div class="colRight span6">
        <div class="formEntry">
            <label for="storeFaxNum">Store Fax Number:</label>
            <input type="text" name="storeFaxNum" id="storeFaxNum" placeholder="123-456-7890" class="h5-phone"
                data-h5-errorid="storePhoneNumError">
            <div style="display: none;" class="ui-state-error message theError" id="storePhoneNumError">Enter a valid fax number.
            </div>
        </div>
        <div class="formEntry">
            <label for="breakStart">Ad Break Start:</label>
            <select id="breakStart" name="breakStart">
                <option value="Sunday">Sunday</option>
                <option value="Monday">Monday</option>
                <option value="Tuesday">Tuesday</option>
                <option value="Wednesday" selected="selected">Wednesday</option>
                <option value="Thursday">Thursday</option>
                <option value="Friday">Friday</option>
                <option value="Saturday">Saturday</option>
            </select>
        </div>
        <div class="formEntry">
            <label for="breakEnd">Ad Break End:</label>
            <select id="breakEnd" name="breakEnd">
                <option value="Sunday">Sunday</option>
                <option value="Monday">Monday</option>
                <option value="Tuesday" selected="selected">Tuesday</option>
                <option value="Wednesday">Wednesday</option>
                <option value="Thursday">Thursday</option>
                <option value="Friday">Friday</option>
                <option value="Saturday">Saturday</option>
            </select>
        </div>
        <div class="formEntry" id="storeServicesContain">
            <label for="storeServices">Store Services: </label>
            <input type="text" id="storeServicesEntry" placeholder="Enter a service and press enter">
            <div class="storeServicesContainer"></div>
        </div>
    </div>
</div>
<div class="sectionHeading clearfix">
    <h3 class="noRemove">Store Department Hours:
        <a style="text-decoration: none;" href="#hoursUpdate" data-toggle="modal" role="button"><i class="icon-edit"></i></a></h3>
    <div class="colLeft span6">
        <div id="storeHours<?php echo $myStoreId;?>"></div>
    </div>
    <div class="colRight span6">
    </div>
</div>
<div class="store-hours">
    <div id="hoursUpdate" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-header">
            <h3 id="myModalLabel">Update Store Hours - <?php echo $myStoreName; ?></h3>
        </div>
        <div class="modal-body">
            <iframe style="background-color: #fff;" class="myiFrame" id="myiFrame"
                src="<?php echo (isset($_SERVER['HTTPS']) ? 'https://' : 'http://') . $_SERVER['HTTP_HOST'] . '/storeHoursDetail.php?store_id=Store_' . $myStoreId . '&storeName=' . $myStoreName; ?>"
                frameborder="0"></iframe>

        </div>
    </div>
</div>  <!-- End store-hours -->

<script>
function startSortable() {
    $(".sortable").sortable({
        connectWith: ".servicesContainer",
        stop: function (event, ui) {
            stylizeSortable();

        }
    }).disableSelection();
}

$("#showStoreHours").text($("#storeHours").text());

$(".icon-edit").on("touch click", function (e) {
    $("#hoursUpdate").removeClass('hide');
});

function closeIFrame() {
    $("#hoursUpdate").modal("hide");
    window.location.reload();
}

function stylizeSortable() {
    $(".servicesContainer li").removeClass("parentService childService");
    $(".servicesContainer").each(function () {
        var $this = $(this);
        var numLIs = $("li", this).length;
        if (numLIs == 0) {
            $this.remove();
        } else {
            $("li:first", this).addClass("parentService");
            $("li:first span.makeParent", this).addClass("hideObject");
            $("li:not(:first)", this).addClass("childService");
            $("li:not(:first) span.makeParent", this).removeClass("hideObject");

            var theFirstName = $("li:first input", this).val();

            //console.log(theFirstName);
            $("li", this).each(function () {
                var thisName = $("input", this).val();
                $("input", this).attr("name", "storeServices[" + theFirstName + "][" + thisName + "]");
            });
        }
    });
}

$(".removeLI").live("click", function () {
    $(this).parents("li").remove();
    stylizeSortable();
});

$(".makeParent").live("click", function () {
    $(this).addClass("hideObject");
    var theParent = $(this).parents("li");
    theParent.removeClass("childService").addClass("parentService");
    theParent.appendTo(".storeServicesContainer").wrap("<ul class='servicesContainer sortable ui-sortable'></ul>");

    startSortable();
    stylizeSortable();
});

$("#storeServicesEntry").keypress(function (event) {
    if (event.which == 13) {
        event.preventDefault();
        //if the key is the Enter key
        var $this = $(this);
        var theValue = $(this).val();
        var combinedVal = theValue.replace(" ", "_");
        var theHTML = "<ul class='servicesContainer sortable'><li class='parentService'><span class='sorter'><i class='icon-reorder'></i></span> <span class='makeParent hideObject' title='Make this item a parent container'><i class='icon-group'></i></span> " + theValue;
        theHTML += "<input type='hidden' value='" + theValue + "' name='storeServices[" + combinedVal + "]'>";
        theHTML += "<span class='removeLI'><i class='icon-remove'></i></span></li></ul>"
        $(".storeServicesContainer").append(theHTML);
        $this.val("");

        startSortable();
        stylizeSortable();
    }

});
</script>